=== plugins/qt4-gui/share/misc/CMakeLists.txt ===
# TODO: licq.desktop installation
