=== plugins/qt4-gui/share/misc/CMakeLists.txt ===
install(FILES licq.desktop DESTINATION ${INSTALL_DATA_DIR}/applications)
