=== plugins/qt4-gui/src/config/CMakeLists.txt ===
--- 
+++ 
@@ -5,6 +5,7 @@
   emoticons.cpp
   general.cpp
   iconmanager.cpp
+  shortcuts.cpp
   skin.cpp
 )
