=== plugins/qt4-gui/src/contactlist/CMakeLists.txt ===
--- 
+++ 
@@ -7,6 +7,7 @@
   contactuser.cpp
   contactuserdata.cpp
   maincontactlistproxy.cpp
+  mode2contactlistproxy.cpp
   multicontactproxy.cpp
   singlecontactproxy.cpp
   sortedcontactlistproxy.cpp
