=== debian/changelog ===
licq (1.3.9-1) unstable; urgency=low

  * New upstream version (closes: #74655)
  * Changed Vcs-Urls to gitorious.org
  * Patch to fix disconnect from ICQ server after refusing authorization

 -- Erik Johansson <debian@ejohansson.se>  Tue, 18 May 2010 21:21:53 +0200

licq (1.3.8-3) unstable; urgency=low

  * Don't ship empty usr/lib/licq/ in licq package.
  * Changed source package format to '3.0 (quilt)'.
  * Bumped Standards Version to 3.8.4 with no changes.
  * Updated package descriptions.
  * New description for the qt4 plugin. - thanks to flynd
  * Changed licq to recommend licq-plugin to break circular dependency
    (Closes: #567989)

 -- Erik Johansson <debian@ejohansson.se>  Sun, 21 Feb 2010 11:21:09 +0100

licq (1.3.8-2) unstable; urgency=low

  * Packaged qt4-gui plugin (closes: #516672).
  * Changed licq-dev section to devel to match override.

 -- Erik Johansson <debian@ejohansson.se>  Fri, 22 Jan 2010 07:50:18 +0100

licq (1.3.8-1) unstable; urgency=low

  * New maintainer (closes: #471819)
  * New upstream release 1.3.8 (closes: #421774, #425748, #282933)
  * Removed fix-const.patch, merged upstream
  * debian/licq.docs
    - Dropped docs no longer shipped upstream
  * Backport r7000, r6978, r7023, r7087 from upstream, fixing potential bugs.
  * Bumped Standards Version to 3.8.3 with no changes.

 -- Erik Johansson <debian@ejohansson.se>  Sat, 09 Jan 2010 17:27:46 +0100

licq (1.3.6-3) unstable; urgency=low

  * QA upload.
  * Fix "fails to build with gcc-4.4", apply patch fix-const.patch from Ubuntu
    (closes: #548616).

 -- gregor herrmann <gregoa@debian.org>  Sun, 20 Dec 2009 17:46:19 +0100

licq (1.3.6-2) unstable; urgency=low

  * QA upload.
  * Fix FTBFS: Depend on newer kdebase-data which stores licq.png in a
    different directory (Closes: #530470)

 -- Jan Hauke Rahm <info@jhr-online.de>  Sun, 14 Jun 2009 17:32:54 +0200

licq (1.3.6-1) unstable; urgency=low

  * QA Upload
  * Sync from Ubuntu jaunty to Debian unstable, summary of changes follows
    - New upstream release 1.3.6
    - Removed 40_ICQ_version_too_old.patch, merged upstream
    - Added libboost-dev to the build-deps
    - Dropped licq.docs as they are no longer shipped
  * debian/control:
    - Bumped Standards Version to 3.8.0
    - Added ${misc:Depends} to depends lines to lintian clean the package

 -- Michael Casadevall <sonicmctails@gmail.com>  Tue, 16 Dec 2008 17:24:49 -0500

licq (1.3.6-0ubuntu1) jaunty; urgency=low

  * New upstream release 1.3.6
  * Removed 40_ICQ_version_too_old.patch, merged upstream
  * Removed 60_glibc2_8-ftbfs-fix.patch, unneeded
  * Added libboost-dev to the build-deps
  * debian/licq.docs
    - Dropped docs no longer shipped upstream

 -- Michael Casadevall <sonicmctails@gmail.com>  Fri, 07 Nov 2008 17:36:24 -0500

licq (1.3.5-7ubuntu1) intrepid; urgency=low

  * Fixed FTBFS failure due to glibc2.8 via 60_glibc2_8-ftbfs-fix.patch
  * Switched licq icon to be pulled from oxygen skin vs. crystalsvg
    as intrepid no longer carries the later by default in kdebase-data
  * Modify Maintainer value to match the DebianMaintainerField
    specification.

 -- Michael Casadevall <sonicmctails@gmail.com>  Mon, 14 Jul 2008 04:06:46 +0000

licq (1.3.5-7) unstable; urgency=low

  * QA Upload
  * Fixing ICQ version too old problem (Closes: #488887)

 -- Rene Stegmaier <rene@rr47.de>  Wed, 02 Jul 2008 09:41:16 +0200

licq (1.3.5-6) unstable; urgency=high

  * QA Upload
  * CVE-2008-1996: Limit maximum number of connections to avoid
    DoS attacks. Patch from upstream, pointed out by Steffen Joeris.
    (closes: #479036)

 -- Frank Lichtenheld <djpig@debian.org>  Fri, 02 May 2008 14:36:59 +0200

licq (1.3.5-5) unstable; urgency=low

  * QA Upload
    + change maintainer address to QA group

 -- Frank Lichtenheld <djpig@debian.org>  Thu, 24 Apr 2008 03:14:09 +0200

licq (1.3.5-4) unstable; urgency=low

  * Added auto-reply configure cache override for gcc-4.3 support
    (closes: #474425)

 -- Peter Eisentraut <petere@debian.org>  Mon, 07 Apr 2008 12:08:47 +0200

licq (1.3.5-3) unstable; urgency=low

  * Updated standards version
  * Updated lintian overrides
  * Removed custom lintian overrides installation rules, made use of new
    debhelper and cdbs features instead
  * Changed to debhelper level 6
  * Changed section of licq-dev to libdevel

 -- Peter Eisentraut <petere@debian.org>  Fri, 04 Apr 2008 21:13:07 +0200

licq (1.3.5-2) unstable; urgency=low

  * Uploaded to unstable

 -- Peter Eisentraut <petere@debian.org>  Sun, 18 Nov 2007 19:37:01 +0100

licq (1.3.5-1) experimental; urgency=low

  * New upstream release
    - Obsoleted patches: 42_licq-qt-no-rpath.patch
  * Updated menu section for new menu policy
  * Updated copyright files

 -- Peter Eisentraut <petere@debian.org>  Mon, 29 Oct 2007 03:55:57 +0100

licq (1.3.4-3) unstable; urgency=low

  * Don't ignore errors from make distclean, as per lintian check
  * Changed ${Source-Version} to ${binary:Version}
  * Removed kderemove tag from menu entry
  * Updated lintian overrides
  * Added Homepage control field

 -- Peter Eisentraut <petere@debian.org>  Wed, 10 Oct 2007 14:20:25 +0200

licq (1.3.4-2) unstable; urgency=low

  * licq-plugin-qt replaces a file from the old licq package
    (closes: #393319)

 -- Peter Eisentraut <petere@debian.org>  Mon, 16 Oct 2006 18:51:14 +0200

licq (1.3.4-1) unstable; urgency=low

  * New upstream release
    - Updated libtool (closes: #343460, #382455)
    - Fixed: when out of diskspace, licq continuously creates windows
      (closes: #245036)
    - Fixed: eats characters after quotes (closes: #249484)
    - Fixed: emoticon support needs improvement (closes: #283905)
    - Fixed: set status to offline via licq.fifo doesn't work correctly
      (closes: #310670)
    - Fixed: RMS plugin won't load (closes: #340414)
    - Fixed: Online ICQ users are changed to Offline after a period of time
      (closes: #342627)
    - Fixed: licq should check for stale pidfile (closes: #376298)

