=== debian/control ===
Source: licq
Build-Depends: cdbs (>= 0.4.52), cmake (>= 2.4.2), debhelper (>= 6.0.7), imagemagick, kdebase-data (>= 4:3.97.0), kdelibs4-dev, libcdk5-dev, libgpgme11-dev (>= 0.4.2), libncurses5-dev, libqt3-mt-dev, libqt4-dev (>= 4.3.0), qt4-dev-tools, libssl-dev, libxosd-dev (>= 2.1.0), libxss-dev, libboost-dev (>= 1.33.1), libhunspell-dev
Section: net
Priority: optional
Maintainer: Erik Johansson <debian@ejohansson.se>
Standards-Version: 3.8.4
Vcs-Git: git://gitorious.org/licq/debian.git
Vcs-Browser: http://gitorious.org/licq/debian
Homepage: http://www.licq.org/

Package: licq
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: licq-plugin-qt4 | licq-plugin, sox
Suggests: bind9-host | host, ping, traceroute
Description: multi-protocol instant messaging client (base files)
 Licq is an instant messaging client daemon that supports a number of
 interfaces via plug-ins, primarily KDE or Qt, but also console, and several
 utility plug-ins.  Included in this package is support for AIM and ICQ.
 Support for MSN is available as a separate plug-in.
 .
 Implemented features include messaging, chat, file transfer, whitepages,
 history, invisible list, server-side stored contacts, typing
 notification, phone book, user pictures, proxy support, user groups,
 network monitor window, themed docking skin and icon pack support,
 FIFO support for remote control, international support with Unicode and
 translations, per-user customized auto responses, SSL secure client to
 client connections and GPG encrypted messages.
 .
 At least one plug-in is required for Licq to function.  The plug-ins
 are distributed in separate packages named "licq-plugin-*".

Package: licq-dev
Architecture: all
Section: devel
Depends: ${misc:Depends}
Description: Licq development and header files
 This package contains files required to compile Licq plug-ins that are not
 included in the main Licq package.  If you aren't going to compile plug-ins,
 you don't need this package.

Package: licq-plugin-autoreply
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, licq (= ${binary:Version})
Provides: licq-plugin
Description: autoreply plug-in for Licq
 This is an autoreplier plug-in for the Licq instant messaging client.  Any
 events (messages, URLs, etc.) received while the plug-in is enabled will cause
 the plug-in to reply with the output from any specified program (e.g.,
 fortune).

Package: licq-plugin-console
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, licq (= ${binary:Version})
Provides: licq-plugin
Description: console user interface plug-in for Licq
 This is a console user interface plug-in for the Licq instant messaging
 client.  It does not have all the features that the Qt GUI supports, but it
 does offer a number of really cool text-mode things such as multiple windows,
 contact list pane and log window.

Package: licq-plugin-forwarder
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, licq (= ${binary:Version})
Provides: licq-plugin
Description: forwarder plug-in for Licq
 This is a forwarder plug-in for the Licq instant messaging client.  Any events
 (messages, URLs, etc.) received while the plug-in is enabled will be forwarded
 either via SMTP to a given email account or via ICQ to a given UIN.

Package: licq-plugin-kde
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, licq (= ${binary:Version})
Provides: licq-plugin
Description: graphical user interface plug-in for Licq using KDE
 This package provides a Qt-based graphical user interface to the Licq instant
 messaging client.  This version is built for KDE and provides the
 corresponding extra features, including KDE docking support.

Package: licq-plugin-msn
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, licq (= ${binary:Version})
Provides: licq-plugin
Description: MSN plug-in for Licq
 This is a plug-in for the Licq instant messaging client that enables
 communication over the MSN Messenger instant messaging network.

Package: licq-plugin-osd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, licq (= ${binary:Version})
Provides: licq-plugin
Description: on-screen display plug-in for Licq
 This is a plug-in for the Licq instant messaging client that enables it to
 display new messages as an on-screen display message.  User logged on/off and
 status changed messages are also supported.

Package: licq-plugin-qt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, licq (= ${binary:Version})
Provides: licq-plugin
Description: graphical user interface plug-in for Licq using Qt3
 This package provides the Qt-based graphical user interface to the Licq
 instant messaging client.  This version is not linked against the KDE3
 libraries; see licq-plugin-kde for that.  The Qt plug-in has docking support
 for Window Maker, AfterStep and Enlightenment among others.

Package: licq-plugin-qt4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, licq (= ${binary:Version})
Provides: licq-plugin
Description: graphical user interface plug-in for Licq using Qt4
 This package provides a Qt-based graphical user interface to the Licq instant
 messaging client.  The GUI provides access to all features available in Licq
 and is the default plug-in for Licq.
 .
 The GUI contains a wide range of configurable options as well as skin support
 allowing behaviour and appearance to be customized in many ways.  Features
 include spell checking, auto-raise and auto-popup incoming messages, tray icon
 and a searchable history.
 .
 By taking advantage of the desktop integration features of Qt4, the GUI can
 adapt to standard desktops with regards to look and feel.  Docking support is
 also available for Window Maker, AfterStep and Enlightment among others.
 .
 Qt4-GUI is based on the old Qt-GUI (licq-plugin-qt) but uses Qt4 and includes
 new features such as spell checking and configurable keyboard shortcuts as
 well as entirely new dialogs for messaging, history and settings.  Note that
 spell checking and tray icon are available even though this version is not
 linked with KDE libraries.

Package: licq-plugin-rms
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, licq (= ${binary:Version})
Provides: licq-plugin
Description: remote management server plug-in for telnet Licq access
 This package provides the means to manage Licq instant messaging sessions
 remotely through a telnet connection.  For obvious reasons, if you don't
 need this plug-in, you probably shouldn't install it.
