=== debian/watch ===
version=3
http://sf.net/licq/licq-([^-RC]+)\.tar\.gz
